﻿<table style="width:100%" border = "0" cellpadding = "2" cellspacing = "0" >
    <tr>
        <td width="90px">
        Job ID
        </td>
        <td>
        @Html.DevExpress().TextBox(s=>
       {
           s.Name = "txtJobDetailID";
           s.Width = System.Web.UI.WebControls.Unit.Pixel(200);
       }).GetHtml()
        </td>
    </tr>

    <tr>
        <td>
        Job Name
        </td>
        <td>
        @Html.DevExpress().TextBox(s=>
       {
           s.Name = "txtJobDetailName";
           s.Width = System.Web.UI.WebControls.Unit.Percentage(100);
       }).GetHtml()
        </td>
    </tr>

    <tr>
        <td>
        PIC
        </td>
        <td>
        @Html.DevExpress().TextBox(s=>
       {
           s.Name = "txtJobDetailPIC";
           s.Width = System.Web.UI.WebControls.Unit.Percentage(100);
       }).GetHtml()
        </td>
    </tr>

    <tr>
        <td valign="top">
        <table style="width:100%" border = "0" cellpadding = "0" cellspacing = "0">
        <tr style="height:9px"><td></td></tr>
        <tr><td>Job Frequency</td></tr>
        </table>
        </td>
        <td>

            <table style="width:100%" border = "0" cellpadding = "0" cellspacing = "0">
                <tr>
                    <th rowspan = "2" style="text-align:left">
                    @Html.DevExpress().RadioButtonList(s=>
                       {
                           s.Name = "rdoFrequency";
                           s.Properties.Items.Add("Immediately", "001");
                           s.Properties.Items.Add("Schedule", "002");
                           s.SelectedIndex = 0;
                           s.Properties.RepeatDirection = System.Web.UI.WebControls.RepeatDirection.Vertical;
                           s.ControlStyle.Border.BorderStyle = System.Web.UI.WebControls.BorderStyle.None;
                       }).GetHtml()
                    </th>
                    <td style="height:22px">
                </td>
            </tr>
            <tr>
                <td>
                Start Time
                <input type="text" id='txtDetailStartTime' name="txtDetailStartTime" style="width:226px; font-size:small;" />
                <input type="text" id='txtDetailStartTimeSlider' name="txtDetailStartTimeSlider" style="width:143px; font-size:small;" />
                </td>
            </tr>
            </table>

            <table style="width:100%" border = "0" cellpadding = "0" cellspacing = "0">
                <tr>
                <td style="width:12px"></td>
                <td colspan = "4">
                    @Html.DevExpress().CheckBox(s=>
                   {
                       s.Name = "chkRecurrence";
                       s.Text = "Recurrence";                       
                   }).GetHtml()
                </td>
                </tr>
                <tr valign="top">
                <td colspan = "2">
                @Html.DevExpress().RadioButtonList(s=>
               {
                   s.Name = "rdoRecurrence";
                   s.Properties.Items.Add("Daily", "001");
                   s.Properties.Items.Add("Weekly", "002");
                   s.Properties.Items.Add("Monthly", "003");
                   s.Properties.Items.Add("Yearly", "004");
                   s.SelectedIndex = 0;
                   s.Properties.RepeatDirection = System.Web.UI.WebControls.RepeatDirection.Vertical;
                   s.ControlStyle.Border.BorderStyle = System.Web.UI.WebControls.BorderStyle.None;
               }).GetHtml()
                </td>
                <td colspan = "2">
                

                <table style="width:100%" border = "0" cellpadding = "0" cellspacing = "0">
                <tr><td valign="top">
                <table border = "0" cellpadding = "0" cellspacing = "0"><tr style="height:10px"><td></td></tr><tr><td>Daily</td></tr></table>
                </td>
                <td>
                <table border = "0" cellpadding = "0" cellspacing = "0"><tr><td>
                @Html.DevExpress().RadioButtonList(s=>
               {
                   s.Name = "rdoDaily";
                   s.Properties.Items.Add("Every", "001");
                   s.Properties.Items.Add("Every Weekday", "002");
                   s.Properties.Items.Add("Every Weekend", "003");
                   s.SelectedIndex = 0;
                   s.Properties.RepeatDirection = System.Web.UI.WebControls.RepeatDirection.Vertical;
                   s.ControlStyle.Border.BorderStyle = System.Web.UI.WebControls.BorderStyle.None;
               }).GetHtml()
                </td><td valign="top">
                <table><tr>
                <tr style="height:2px"><td></td></tr>
                <td>
                @Html.DevExpress().SpinEdit(s=>
                {
                    s.Name = "spDailyEvery";
                    s.Properties.MinValue = 1;
                    s.Properties.MaxValue = 100;
                }).GetHtml()
                </td></tr>
                </table>
                </td></tr></table>
                </td></tr>
                <tr><td valign="top">
                <table style="width:100%" border = "0" cellpadding = "0" cellspacing = "0"><tr style="height:2px"><td></td></tr>
                <tr><td>Weekly</td></tr>
                </table>
                </td>
                <td>
                <table style="width:100%" border = "0" cellpadding = "0" cellspacing = "0"><tr><td>
                <table border = "0" cellpadding = "0" cellspacing = "0"><tr>
                <td style="width:17px"></td>
                <td style="width:75px">Recur every </td>
                <td style="width:180px">
                @Html.DevExpress().SpinEdit(s=>
                {
                    s.Name = "spWeeklyNWeek";
                    s.Properties.MinValue = 1;
                    s.Properties.MaxValue = 100;
                }).GetHtml()
                </td><td>
                week(s) on:
                </td></tr></table>
                </td></tr>
                <tr style="height:7px"><td></td></tr>
                <tr><td>
                <table style="width:100%" border = "0" cellpadding = "0" cellspacing = "0">
                <tr>
                <td style="width:13px"></td>
                <td>
                    @Html.DevExpress().CheckBox(s=>
                   {
                       s.Name = "chkWeeklySunday";
                       s.Text = "Sunday";
                   }).GetHtml()
                </td><td>
                    @Html.DevExpress().CheckBox(s=>
                   {
                       s.Name = "chkWeeklyMonday";
                       s.Text = "Monday";
                   }).GetHtml()
                </td><td>
                    @Html.DevExpress().CheckBox(s=>
                   {
                       s.Name = "chkWeeklyTuesday";
                       s.Text = "Tuesday";
                   }).GetHtml()
                </td><td>
                    @Html.DevExpress().CheckBox(s=>
                   {
                       s.Name = "chkWeeklyWednesday";
                       s.Text = "Wednesday";
                   }).GetHtml()
                   </td></tr>
                <tr>
                <td style="width:13px"></td>
                <td>
                    @Html.DevExpress().CheckBox(s=>
                   {
                       s.Name = "chkWeeklyThursday";
                       s.Text = "Thursday";
                   }).GetHtml()
                </td><td>
                    @Html.DevExpress().CheckBox(s=>
                   {
                       s.Name = "chkWeeklyFriday";
                       s.Text = "Friday";
                   }).GetHtml()
                </td><td>
                    @Html.DevExpress().CheckBox(s=>
                   {
                       s.Name = "chkWeeklySaturday";
                       s.Text = "Saturday";
                   }).GetHtml()
                </td>
                <td></td>
                </tr></table>
                </td></tr></table>
                </td></tr>
                <tr><td valign="top">
                <table border = "0" cellpadding = "0" cellspacing = "0"><tr style="height:2px"><td></td></tr><tr><td>Monthly</td></tr></table>
                </td>
                <td>
                <table border = "0" cellpadding = "0" cellspacing = "0"><tr><td>
                <table border = "0" cellpadding = "0" cellspacing = "0">
                <tr>
                <td style="width:17px"></td>
                <td style="width:40px">
                Day
                </td><td style="width:180px">
                @Html.DevExpress().SpinEdit(s=>
                {
                    s.Name = "spMonthlyNDay";
                    s.Properties.MinValue = -30;
                    s.Properties.MaxValue = 100;
                }).GetHtml() 
                </td><td style="width:55px">
                of every
                </td><td style="width:180px">
                @Html.DevExpress().SpinEdit(s=>
                {
                    s.Name = "spMonthlyNMonth";
                    s.Properties.MinValue = 1;
                    s.Properties.MaxValue = 24;
                }).GetHtml() 
                </td><td>
                months
                </td></tr></table>

                </td></tr></table>
                </td></tr>
                <tr><td valign="top">
                <table border = "0" cellpadding = "0" cellspacing = "0"><tr style="height:2px"><td></td></tr><tr><td>Yearly</td></tr></table>
                </td>
                <td>
                <table border = "0" cellpadding = "0" cellspacing = "0"><tr><td>

                <table border = "0" cellpadding = "0" cellspacing = "0">
                <tr>
                <td style="width:17px"></td>
                <td style="width:40px">
                Every
                </td><td style="width:210px">
                @Html.DevExpress().DropDownEdit(s=>
               {
                   s.Name = "ddYearlyMonth";
                   s.Width = System.Web.UI.WebControls.Unit.Pixel(200);
               }).GetHtml()
                </td><td>
                @Html.DevExpress().SpinEdit(s=>
                {
                    s.Name = "spYearlyNMonth";
                    s.Properties.MinValue = 1;
                    s.Properties.MaxValue = 31;
                }).GetHtml() 
                </td></tr></table>
                
                </td></tr></table>
                </td></tr>
                </table>

                
                
                </td>
                </tr>
                <tr>
                <td colspan="5">
                    <table border = "0" cellpadding = "0" cellspacing = "0">
                        <tr>
                            <td>
                                <table style="width:100%" border = "0" cellpadding = "0" cellspacing = "0">
                                    <tr>
                                    <td>
                                    </td>
                                    <td colspan="2">
                                    <u>Date Range:</u>
                                    </td>
                                    </tr>
                                    <tr style="height:5px"><td colspan="3"></td></tr>
                                    <tr>
                                    <td style="width:16px"></td>
                                    <td style="width:61px">
                                    Start Date
                                    </td>
                                    <td>
                                    @Html.DevExpress().DateEdit(s=>
                                   {
                                       s.Name = "dtStartDate";
                                   }).GetHtml()
                                    </td>
                                    </tr>
                                    <tr style="height:50px"><td></td><td></td><td></td></tr>
                                </table>
                            </td>
                            <td>
                            <table style="width:100%" border = "0" cellpadding = "0" cellspacing = "0">
                            <tr style="height:17px"><td></td></tr>
                            <tr>
                            <td>
                            @Html.DevExpress().RadioButtonList(s=>
                           {
                               s.Name = "rdoEndDate";
                               s.Properties.Items.Add("No end date", "001");
                               s.Properties.Items.Add("End after", "002");
                               s.Properties.Items.Add("End Date", "003");
                               s.SelectedIndex = 0;
                               s.Properties.RepeatDirection = System.Web.UI.WebControls.RepeatDirection.Vertical;
                               s.ControlStyle.Border.BorderStyle = System.Web.UI.WebControls.BorderStyle.None;
                           }).GetHtml()
                            </td></tr></table>
                            </td>
                            <td>
                                <table style="width:100%" border = "0" cellpadding = "0" cellspacing = "0">
                                    <tr style="height:42px"><td></td></tr>
                                    <tr>
                                        <td align="right">
                                        @Html.DevExpress().SpinEdit(s=>
                                       {
                                           s.Name = "spEndOccurrence";
                                           s.Properties.MinValue = 1;
                                           s.Properties.MaxValue = 100;
                                       }).GetHtml()
                                        </td>
                                    </tr>
                                    <tr style="height:3px"><td></td></tr>
                                    <tr>
                                        <td align="right">
                                       @Html.DevExpress().DateEdit(s=>
                                      {
                                          s.Name = "dtEndDate";
                                      }).GetHtml()
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>
                </td>
                </tr>
            </table>
        </td>
    </tr>

    <tr>
        <td>
        Function Name
        </td>
        <td>
        @Html.DevExpress().DropDownEdit(s=>
       {
           s.Name = "ddFunctionName";
           s.Width = System.Web.UI.WebControls.Unit.Percentage(100);
       }).GetHtml()
        </td>
    </tr>

    <tr>
        <td>
        Parameter
        </td>
        <td>
        @Html.DevExpress().TextBox(s=>
       {
           s.Name = "txtParameter";
           s.Width = System.Web.UI.WebControls.Unit.Percentage(100);
       }).GetHtml()
        </td>
    </tr>

    <tr>
        <td>
        <table border = "0" cellpadding = "0" cellspacing = "0">
        <tr><td>Notification Method</td></tr>
        <tr style="height:50px"><td></td></tr>
        </table>
        </td>
        <td>
            <table border = "0" cellpadding = "0" cellspacing = "0">
                <tr>
                    <td style="width:120px; background-color:Green"><font color="white">
                    @Html.DevExpress().CheckBox(s=>
                   {
                       s.Name = "chkDetailFinished";
                       s.Text = "Finished";
                   }).GetHtml()
                    </font></td>
                    <td style="width:120px; background-color:Maroon"><font color="white">
                    @Html.DevExpress().CheckBox(s=>
                   {
                       s.Name = "chkDetailError";
                       s.Text = "Error";
                   }).GetHtml()
                    </font></td>
                    <td style="width:120px; background-color:Orange"><font color="white">
                    @Html.DevExpress().CheckBox(s=>
                   {
                       s.Name = "chkDetailCancelled";
                       s.Text = "Cancelled";
                   }).GetHtml()
                    </font></td>
                    </tr>

                    <tr>
                    <td style="background-color:Lime">
                    @Html.DevExpress().CheckBox(s=>
                   {
                       s.Name = "chkDetailFinishedEmail";
                       s.Text = "Email";
                   }).GetHtml()
                    </td>
                    <td style="background-color:Red">
                    @Html.DevExpress().CheckBox(s=>
                   {
                       s.Name = "chkDetailErrorEmail";
                       s.Text = "Email";
                   }).GetHtml()
                    </td>
                    <td style="background-color:Yellow">
                    @Html.DevExpress().CheckBox(s=>
                   {
                       s.Name = "chkDetailCancelledEmail";
                       s.Text = "Email";
                   }).GetHtml()
                    </td>
                    </tr>

        <tr>
        <td style="background-color:Lime">
        @Html.DevExpress().CheckBox(s=>
       {
           s.Name = "chkDetailFinishedSMS";
           s.Text = "SMS";
       }).GetHtml()
        </td>
        <td style="background-color:Red">
        @Html.DevExpress().CheckBox(s=>
       {
           s.Name = "chkDetailErrorSMS";
           s.Text = "SMS";
       }).GetHtml()
        </td>
        <td style="background-color:Yellow">
        @Html.DevExpress().CheckBox(s=>
       {
           s.Name = "chkDetailCancelledSMS";
           s.Text = "SMS";
       }).GetHtml()
        </td>
        </tr>

        <tr>
        <td style="background-color:Lime">
        @Html.DevExpress().CheckBox(s=>
       {
           s.Name = "chkDetailFinishedDashboard";
           s.Text = "Dashboard";
       }).GetHtml()
        </td>
        <td style="background-color:Red">
        @Html.DevExpress().CheckBox(s=>
       {
           s.Name = "chkDetailErrorDashboard";
           s.Text = "Dashboard";
       }).GetHtml()
        </td>
        <td style="background-color:Yellow">
        @Html.DevExpress().CheckBox(s=>
       {
           s.Name = "chkDetailCancelledDashboard";
           s.Text = "Dashboard";
       }).GetHtml()
        </td>
        </tr>
        </table>
        </td>
    </tr>

    <tr style="height:15px">
        <td colspan = "2">
        </td>
    </tr>

    <tr>
    <td colspan = "2">

    <table style="width:100%" border = "0" cellpadding = "0" cellspacing = "0">
        <tr>
        <td style="width:95px"></td>
            <td style="width:95px" align="left">
            @Html.DevExpress().Button(s=>
           {
               s.Name = "btnDetailDelete";
               s.Text = "Delete";
               s.Width = System.Web.UI.WebControls.Unit.Pixel(90);
           }).GetHtml()
            </td>
            <td style="width:290px">
            @Html.DevExpress().Button(s=>
           {
               s.Name = "btnDetailEdit";
               s.Text = "Edit";
               s.Width = System.Web.UI.WebControls.Unit.Pixel(90);
           }).GetHtml()
            </td>
            <td align="right">
            @Html.DevExpress().Button(s=>
           {
               s.Name = "btnDetailSave";
               s.Text = "Save";
               s.Width = System.Web.UI.WebControls.Unit.Pixel(90);
           }).GetHtml()
            </td>
            <td align="right">
            @Html.DevExpress().Button(s=>
           {
               s.Name = "btnDetailRelease";
               s.Text = "Release";
               s.Width = System.Web.UI.WebControls.Unit.Pixel(90);
           }).GetHtml()
            </td>
            <td align="right">
            @Html.DevExpress().Button(s=>
           {
               s.Name = "btnDetailCancel";
               s.Text = "Cancel";
               s.Width = System.Web.UI.WebControls.Unit.Pixel(90);
           }).GetHtml()
            </td>
        </tr>
    </table>

    </td>
    </tr>

</table>